petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetLabelSize

Get the number of different integer ids in a Label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelSize(DM dm, const char name[], PetscInt *size)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Output Parameter

size -The number of different integer ids, or 0 if the label does not exist

### See Also

DMLabelGetNumValues(), DMSetLabelValue()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages